std::tr1::_Sp_counted_base_impl(3)

NAME
std::tr1::_Sp_counted_base_impl -

SYNOPSIS

Inherits _Sp_counted_base.

Detailed Description

  template<typename _Ptr, typename _Deleter> class std::tr1::_Sp_counted_base_impl< _Ptr, _Deleter >

Definition at line 199 of file boost_shared_ptr.h.

  Public Member Functions
_Sp_counted_base_impl (_Ptr __p, _Deleter __d)
void add_ref_copy ()
void add_ref_lock ()
virtual void destroy ()
virtual void dispose ()
virtual void * get_deleter (const std::type_info &__ti)
void release ()
long use_count () const
void weak_add_ref ()
void weak_release ()

Constructor & Destructor Documentation

  _Sp_counted_base_impl (_Ptr __p, _Deleter __d) [inline]

Precondition:
    d(p) must not throw.

Definition at line 208 of file boost_shared_ptr.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.